Subject: Re: LED backlight on Droid 4 and others

From: Tony Lindgren <[email-masked]>
Date: Tue, 11 Feb 2020 09:29:00 -0800

* Lee Jones <[email-masked]> [200106 08:46]:
> On Sun, 05 Jan 2020, Pavel Machek wrote:
> 
> > Hi!
> > 
> > It would be good to get LED backlight to work in clean way for 5.6
> > kernel.
...
> > [If you have an idea what else is needed, it would be welcome; it
> > works for me in development tree but not in tree I'd like to
> > upstream.]
> > 
> > Lee, would you be willing to take "backlight: add led-backlight
> > driver"? Would it help if I got "leds: Add managed API to get a LED
> > from a device driver" and "leds: Add of_led_get() and led_put()" into
> > for_next tree of the LED subsystem?
> 
> It looks like you have an open question from Tony on v10.
> 
> Is that patch orthogonal, or are there depend{ants,encies}?

Uhh looks like we messed up a bit with integration. Now droid4
LCD backlight can no longer be enabled at all manually in v5.6-rc1
without the "add led-backlight driver" patch.. Should we just
merge it to fix it rather than start scrambling with other
temporary hacks?

I don't care if we use "default-brightness", or if we use
"default-brightness-level". The binding merged says now
"default-brightness", so let's go with that one. That's what
other LED drivers are using too.

Regards,

Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel